<?php
session_start();
include("config.php");
include("funciones.php");
$validacion = validacion_usuario($con);
if($validacion == 1){
	date_default_timezone_set("America/Lima");
	$id = $_POST['id'];		
	$titulo = $_POST['titulo'];		
	$categoria= $_POST['categoria'];
	$estado= $_POST['estado'];	
	$bajada = $_POST['bajada']; 
	$keywords=$_POST['keywords']; 
	$cuerpo_interno=$_POST['cuerpo_interno']; 
	$imagen_cabecera = $_FILES['imagen_cabecera']['name'];
	$imagen_interna = $_FILES['imagen_interna']['name'];
	$imagen_redes = $_FILES['imagen_redes']['name'];
	$imagen_cabecera_bd=$_POST['imagen_cabecera_bd'];
	$imagen_interna_bd=$_POST['imagen_interna_bd'];
	$imagen_redes_bd=$_POST['imagen_redes_bd'];
	$id_v = filter_var($id,  FILTER_SANITIZE_STRING);
	$titulo_v = filter_var($titulo,  FILTER_SANITIZE_STRING);
	$categoria_v = filter_var($categoria,  FILTER_SANITIZE_STRING);
	
	$bajada_v = filter_var($bajada,  FILTER_SANITIZE_STRING);
	$keywords_v = filter_var($keywords,  FILTER_SANITIZE_STRING);
	$cuerpo_interno_v = filter_var($cuerpo_interno,  FILTER_SANITIZE_STRING);
	$imagen_cabecera_v = filter_var($imagen_cabecera,  FILTER_SANITIZE_STRING);
	$imagen_interna_v = filter_var($imagen_interna,  FILTER_SANITIZE_STRING);
	$imagen_redes_v = filter_var($imagen_redes,  FILTER_SANITIZE_STRING);
	$imagen_cabecera_bd_v = filter_var($imagen_cabecera_bd,  FILTER_SANITIZE_STRING);
	$imagen_interna_bd_v = filter_var($imagen_interna_bd,  FILTER_SANITIZE_STRING);
	$imagen_redes_bd_v = filter_var($imagen_redes_bd,  FILTER_SANITIZE_STRING);
    if($id_v && $titulo_v && $categoria_v && $bajada_v && $keywords_v && $cuerpo_interno_v && $imagen_cabecera_bd_v && $imagen_interna_bd_v && $imagen_redes_bd_v)
	{
		if (filter_var($estado , FILTER_VALIDATE_INT) === 0 || !filter_var($estado, FILTER_VALIDATE_INT) === false) {
			$estado_v = filter_var($estado,  FILTER_VALIDATE_INT);
		$id_real = mysqli_real_escape_string($con,$id_v);
		$titulo_real = mysqli_real_escape_string($con,$titulo_v);
		$categoria_real = mysqli_real_escape_string($con,$categoria_v);
		$estado_real = mysqli_real_escape_string($con,$estado_v);
		$bajada_real = mysqli_real_escape_string($con,$bajada_v);
		$keywords_real = mysqli_real_escape_string($con,$keywords_v);
		$cuerpo_interno_real = mysqli_real_escape_string($con,$cuerpo_interno_v);		
		$imagen_cabecera_bd_real = mysqli_real_escape_string($con,$imagen_cabecera_bd_v);
		$imagen_interna_bd_real = mysqli_real_escape_string($con,$imagen_interna_bd_v);
		$imagen_redes_bd_real = mysqli_real_escape_string($con,$imagen_redes_bd_v);
		$sql_nombre = "SELECT titulo FROM noticias WHERE id =".$id_real;	
		if($q=mysqli_query($con,$sql_nombre)){	
			$filas=mysqli_num_rows($q);	
				if($filas >0){					
					while ($fila_edi =mysqli_fetch_assoc($q)){
						$n= $fila_edi['titulo'];
						if($n == $titulo_v){
							$flag=1;
						}elseif($n == ""){
							echo 6;
							$flag=0;
						}elseif($n != $titulo_v){
							$sql_titulo = "SELECT titulo FROM noticias WHERE titulo ='".$titulo_real."'";
							$sql_query=mysqli_query($con,$sql_titulo);
							$rows_query=mysqli_num_rows($sql_query);
							if($rows_query>0){			
							    echo 3;
							    $flag=0;
							}else{
								$flag=1;
							}
						}	
			    	}
				}				  					
		}else{
			echo 2;
			$flag=0;
		}
		if($flag ==1){
			$img_tmp_cabecera=$_FILES['imagen_cabecera'];
			$img_tmp_interna=$_FILES['imagen_interna'];
			$img_tmp_redes=$_FILES['imagen_redes'];
			$url_personalizada=urlamigable($titulo_v);
			$url_=$url_personalizada.".html";
			$restriccion="imagen_cabecera";
			$fin=2;
			$sql03  = "UPDATE noticias SET categoria=$categoria_real,estado=$estado_real,titulo='$titulo_real', bajada='$bajada_real',
			 cuerpo='$cuerpo_interno',keywords='$keywords_real',url='$url_'";
			$array_img=array($img_tmp_cabecera,$img_tmp_interna);					
			$dir="img/noticias/";
			if($imagen_cabecera_v && $imagen_interna_v && $imagen_redes_v){									
				$restriccion="imagen_cabecera";
				$fin=2;
				$imagen_name=$_FILES['imagen_cabecera']['name'];
				list($valorSubida1,$nuevos_nombres)=subir_imagen(0,$fin,$restriccion,$img_tmp_cabecera,$img_tmp_interna,$img_tmp_redes,$dir);										
				if($valorSubida1 = "1"){
					$nom_cabecera=$nuevos_nombres[0];
					$nom_interna=$nuevos_nombres[1];
					$nom_redes=$nuevos_nombres[2];					
					$sql03 .= ",imagen_cabecera='$nom_cabecera',imagen_interna='$nom_interna',imagen_redes='$nom_redes' WHERE id=".$id_real;
					if(mysqli_query($con,$sql03)){
						$imagen_mobile_bd="mobile_".$imagen_cabecera_bd_real;
						chmod($dir.$imagen_cabecera_bd_real, 0777);
						chmod($dir.$imagen_interna_bd_real, 0777);
						chmod($dir.$imagen_mobile_bd, 0777);
						chmod($dir.$imagen_redes_bd_real, 0777);
						unlink($dir.$imagen_cabecera_bd_real);
						unlink($dir.$imagen_interna_bd_real);								
						unlink($dir.$imagen_mobile_bd);
						unlink($dir.$imagen_redes_bd_real);
						echo 1;										
					}else{
						echo 2;
					}							
				}else{
					echo 4;
				}  
			}elseif($imagen_cabecera_v && $imagen_interna == "" && $imagen_redes == ""){										   													
				$restriccion="imagen_cabecera";
				$fin=0;
				$imagen_name=$_FILES['imagen_cabecera']['name'];
				list($valorSubida1,$nuevos_nombres)=subir_imagen(0,$fin,$restriccion,$img_tmp_cabecera,$img_tmp_interna,$img_tmp_redes,$dir);										
				if($valorSubida1 = "1"){
					$nom_cabecera=$nuevos_nombres[0];
					$estado=1;
					$sql03 .= ",imagen_cabecera='$nom_cabecera' WHERE id=".$id_real;
					if(mysqli_query($con,$sql03)){
						$imagen_mobile_bd="mobile_".$imagen_cabecera_bd_real;
						chmod($dir.$imagen_cabecera_bd_real, 0777);
						chmod($dir.$imagen_mobile_bd, 0777);
						unlink($dir.$imagen_cabecera_bd_real);											
						unlink($dir.$imagen_mobile_bd);	
						echo 1;
					}else{							
						echo 2;
					}
				}else{
					echo 4;
				}          						
		    }elseif($imagen_cabecera == "" && $imagen_interna_v && $imagen_redes == ""){			    
				$restriccion="";
				$fin=1;
				list($valorSubida1,$nuevos_nombres)=subir_imagen(1,$fin,$restriccion,$img_tmp_cabecera,$img_tmp_interna,$img_tmp_redes,$dir);									
				if($valorSubida1 = "1"){
					$nom_interna=$nuevos_nombres[1];
					$sql03 .= ",imagen_interna='$nom_interna' WHERE id=".$id_real;
					if(mysqli_query($con,$sql03)){
						chmod($dir.$imagen_interna_bd_real, 0777);
						unlink($dir.$imagen_interna_bd_real);
						echo 1;
					}else{
						echo 2;
					}
				}else{
					echo 4;
				}					
			}elseif($imagen_cabecera == "" && $imagen_interna == "" && $imagen_redes_v){				
				$restriccion="";
				$fin=2;
				list($valorSubida1,$nuevos_nombres)=subir_imagen(0,$fin,$restriccion,$img_tmp_cabecera,$img_tmp_interna,$img_tmp_redes,$dir);									
				if($valorSubida1 = "1"){
					$nom_redes=$nuevos_nombres[2];
					$sql03 .= ",imagen_redes='$nom_redes' WHERE id=".$id_real;
					if(mysqli_query($con,$sql03)){
						chmod($dir.$imagen_redes_bd_real, 0777);
						unlink($dir.$imagen_redes_bd_real);
						echo 1;
					}else{
						echo 2;
					}
				}else{
					echo 4;						
				}					
			}elseif($imagen_cabecera_v && $imagen_interna_v && $imagen_redes == ""){							
				$restriccion="imagen_cabecera";
				$fin=1;
				list($valorSubida1,$nuevos_nombres)=subir_imagen(0,$fin,$restriccion,$img_tmp_cabecera,$img_tmp_interna,$img_tmp_redes,$dir);									
					if($valorSubida1 = "1"){
						$nom_cabecera=$nuevos_nombres[0];
						$nom_interna=$nuevos_nombres[1];
						$sql03 .= ",imagen_cabecera='$nom_cabecera',imagen_interna='$nom_interna' WHERE id=".$id_real;
						if(mysqli_query($con,$sql03)){
							$imagen_mobile_bd="mobile_".$imagen_cabecera_bd_real;
							chmod($dir.$imagen_cabecera_bd_real, 0777);
							chmod($dir.$imagen_interna_bd_real, 0777);
							chmod($dir.$imagen_mobile_bd, 0777);						
							unlink($dir.$imagen_cabecera_bd_real);
							unlink($dir.$imagen_interna_bd_real);								
							unlink($dir.$imagen_mobile_bd);
							echo 1;									
						}else{
							echo 2;
						}
					}else{
						echo 4;
					}					
			}elseif($imagen_cabecera == "" && $imagen_interna_v && $imagen_redes_v){						
				$restriccion="";
				$fin=2;
				list($valorSubida1,$nuevos_nombres)=subir_imagen(0,$fin,$restriccion,$img_tmp_cabecera,$img_tmp_interna,$img_tmp_redes,$dir);									
				if($valorSubida1 = "1"){						
					$nom_interna=$nuevos_nombres[1];
					$nom_redes=$nuevos_nombres[2];
					$estado=1;
					$sql03 .= ",imagen_interna='$nom_interna',imagen_redes='$nom_redes' WHERE id=".$id_real;
					if(mysqli_query($con,$sql03)){						
						chmod($dir.$imagen_interna_bd_real, 0777);
						chmod($dir.$imagen_redes_bd_real, 0777);					
						unlink($dir.$imagen_interna_bd_real);
						unlink($dir.$imagen_redes_bd_real);	
						echo 1;																
					}else{
						echo 2;
					}
				}else{
				  echo 4;
				}			
			}elseif($imagen_cabecera_v && $imagen_interna == "" && $imagen_redes_v){					
				$restriccion="imagen_cabecera";
				$fin=2;
				list($valorSubida1,$nuevos_nombres)=subir_imagen(0,$fin,$restriccion,$img_tmp_cabecera,$img_tmp_interna,$img_tmp_redes,$dir);									
				if($valorSubida1 = "1"){						
					$nom_cabecera=$nuevos_nombres[0];
					$nom_redes=$nuevos_nombres[2];
					$sql03 .= ",imagen_cabecera='$nom_cabecera',imagen_redes='$nom_redes' WHERE id=".$id_real;
					if(mysqli_query($con,$sql03)){
						chmod($dir.$imagen_cabecera_bd_real, 0777);
						chmod($dir.$imagen_redes_bd_real, 0777);					
						unlink($dir.$imagen_cabecera_bd_real);
						unlink($dir.$imagen_redes_bd_real);																	
						echo 1;
					}else{
						echo 2;
					}
				}else{
					echo 4;
				}					
			}else{						
				$sql03 .= " WHERE id=".$id_real;
				if(mysqli_query($con,$sql03)){
					echo 1;
				}else{
					echo 2;
				}
			}
		}	
	}else{
		echo 5;
	}
	}
}

?>